gsleigen_lib = static_library('gsleigen',
	[
		'jacobi.c',
		'symm.c',
		'symmv.c',
		'nonsymm.c',
		'nonsymmv.c',
		'herm.c',
		'hermv.c',
		'gensymm.c',
		'gensymmv.c',
		'genherm.c',
		'genhermv.c',
		'gen.c',
		'genv.c',
		'sort.c',
		'francis.c',
		'schur.c'
	],
	include_directories : '..'
)
gsleigen_dep = declare_dependency(link_with : gsleigen_lib)


gsl_tests += [ [ 'GSL Eigenvalue Test', files('test.c') ] ]
